<%-- 
    Document   : listadoPropiedad
    Created on : 28/02/2011, 12:42:55
    Author     : German
--%>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
     "http://www.w3.org/TR/html4/loose.dtd">

<html>
     <head>
          <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
          <title>Final PPR 02-03-2011 - Catastro</title>
          <script type="text/javascript">
               function volver()
               {
                    document.forms[0].action = 'index.jsp';
                    document.forms[0].submit();
               }
          </script>
     </head>
     <body>
          <form name="frmListado" method="POST"  action="CatastroController?Accion=listar">
               <jsp:useBean id="propietarios" scope="session" class="utils.ClientesUtils" />
               <jsp:useBean id="now" scope="session" class="java.util.Date"/>
               <table border="0">
                    <tbody>
                         <tr>
                              <td>Cliente a filtrar:</td>
                              <td>
                                   <!-- Completar con scriptlets usando cliente util -->
                                   <select name="cmbClientes">
                                        <option value="-1">...Seleccione</option>
                                        <c:forEach var="cliente" items="${propietarios.listadoClientes}">
                                             <option value="<c:out value="${cliente.codigo}" />">
                                                  <c:out value="${cliente.nombre}" />
                                             </option>
                                        </c:forEach>
                                   </select>
                              </td>
                         </tr>
                         <tr>
                              <td></td>
                              <td>
                                   <input type="submit" value="Listar Propiedades" name="cmdListar" />
                                   <input type="button" value="Volver" name="cmdVolver" onclick="volver();" />
                              </td>
                         </tr>
                    </tbody>
               </table>
               <table style="border: solid; border-color: khaki" width="950" >
                    <thead>
                         <tr>
                              <!-- Reemplazar la fecha por la fecha actual del sistema -->
                              <!--th style="background-color: khaki" colspan="5">Listado de Propiedades al </th-->
                              <th style="background-color: khaki" colspan="5">
                                   <%
                                       SimpleDateFormat sdf =  new SimpleDateFormat("dd/MM/yyyy");
                                       Date fecha = new Date();
                                   %>
                                   Listado de Propiedades al <%= sdf.format(fecha) %> 
                              </th>
                         </tr>
                         <tr>
                              <th style="background-color: khaki">C&oacute;digo</th>
                              <th style="background-color: khaki" width="250">Cliente</th>
                              <th style="background-color: khaki" width="200">Tipo Propiedad</th>
                              <th style="background-color: khaki">Metros construidos</th>
                              <th style="background-color: khaki">Valor Propiedad</th>
                         </tr>
                    </thead>
                    <tbody>
                         <c:forEach items="${requestScope['Propiedades']}" var="catastro">
                              <tr>

                                   <td><c:out value="${catastro.codigo}"/></td>
                                   <td><c:out value="${catastro.cliente.nombre}"/></td>
                                   <td><c:out value="${catastro.categoria.descripcion}"/></td>
                                   <td><c:out value="${catastro.superficiePropiedad}"/></td>
                                   <td><c:out value="${catastro.valorPropiedad}"/></td>

                              </tr>
                         </c:forEach>
                    </tbody>
               </table>

          </form>
     </body>
</html>
