package beans;
import javax.servlet.http.Cookie;
public class ContarAcces{
    String cuenta;
    public ContarAcces(){
        cuenta = null;
    }

    public void setCuenta(String cuenta){
        this.cuenta = cuenta;
    }
    
    public String getCuenta(){
        // Aquí la logica de conteo de accesos
            Cookie[] cookies = request.getCookies();
            // Obtener el valor actual de la cookie de nombre "usuario" buscando
            // entre las cookies recibidas. Puede haber varias ...
            if (cookies != null){ // si hay cookies...
                for (int i = 0; i < cookies.length; i++){
                    // Buscar la cookie "usuario"
                    if (cookies[i].getName().equals("usuario")){
                        // y obtener el valor asociado
                        cuenta = cookies[i].getValue();
                        break;
                    }
                }   //  for
            }   //  if (cookies != null)

            // Incrementar el contador para esta página. El valor es
            // guardado en la cookie de nombre "usuario".
            // Después, asegurarse de enviársela al cliente con la
            // respuesta (response).
            Integer objCuenta = null; // contador
            if (cuenta == null) // si no se encontró "usuario"
                objCuenta = new Integer(1);
            else                 // se encontró, sCuenta tiene valor != null
                objCuenta = new Integer(Integer.parseInt(cuenta)+1);
            // Crear una nueva cookie con la cuenta actualizada
            Cookie c = new Cookie("usuario", objCuenta.toString());
            // Añadir la cookie a las cabeceras de la respuesta HTTP
            response.addCookie(c);

        return cuenta;
    }
}