import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
// Author Tymoschuk, Jorge
public class ServCook extends HttpServlet{
    // Daremos un poco de variedad a los mensajes con que el servlet responde
    String[] msgs = {"Siempre es un placer recibirle",
                     "Par Ud. tengo todo ... todo el tiempo",
                     "Pero hoy mi agenda está completa, completa",
                     "Veré que dice mi secretaria, mis compromisos",
                     "Solo dispongo de contados segundos ...",
                     "Ud me sorprende. Pareciera creer soy igual ...",
                     "Veamos... En que pudiera serle útil?"};
    String mensa; int indice;

  protected void doGet(HttpServletRequest request,
           HttpServletResponse response)throws ServletException, IOException{
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    
    // Obtener el valor actual de la cookie "contador.cook" buscando
    // entre las cookies recibidas.
    String sCuenta  = null;
    String cliente  = null;
        cliente     = request.getParameter("cliente");
    Cookie[] cookies = request.getCookies();
    if (cookies != null){ // si hay cookies...
        for (int i = 0; i < cookies.length; i++){
            // Buscar la cookie con el nombre del cliente
            if (cookies[i].getName().equals(cliente)){
                // y obtener el valor asociado
                sCuenta = cookies[i].getValue();
                break;
            }
        }   //  for
    }   //  if (cookies != null)
    
    // Incrementar el contador para esta página. El valor es
    // guardado en la cookie con el nombre del cliente.
    // Después, asegurarse de enviársela al cliente con la
    // respuesta (response).
    Integer objCuenta = null; // contador
    if (sCuenta == null) // si no se encontró nombre del cliente
        objCuenta = new Integer(1);
    else                 // se encontró el cliente en cuestion
        objCuenta = new Integer(Integer.parseInt(sCuenta)+1);
    // Crear una nueva cookie con la cuenta actualizada
    Cookie c = new Cookie(cliente, objCuenta.toString());
    // Añadir la cookie a las cabeceras de la respuesta HTTP
    response.addCookie(c);

    // Responder al cliente
    out.println("<html>");
    out.println("Hola, Sr(a) "+cliente);
    out.println("<br>");
    out.println("Has visitado esta página " + objCuenta.toString() +
                ((objCuenta.intValue() == 1) ? " vez." : " veces."));
    out.println("<br>");
    indice = (int)(7*Math.random());
    mensa = msgs[indice];
    out.println(mensa);
    out.println("</html>");

    // Cerrar el flujo
    out.close();
  }
  
  // Devuelve una descripción breve.
  public String getServletInfo(){return "Servlet CuentaCk";}
}
