/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 *
 * @author fenix
 */
public class GestorStock {

    private List productos;
    private final String user = "albert";
    private final String pwd = "genio";

    public GestorStock() {
        productos = new ArrayList();
        productos.add(new Producto("Gaseosa Cola 2.5 lts"));
        productos.add(new Producto("Galletitas Surtidas x 250 grs."));
        productos.add(new Producto("Alfajor chico"));
        productos.add(new Producto("Cigarrillo Acme"));
        productos.add(new Producto("Yogurt x 500 cm3"));
    }

    public List getProductos() {
        return productos;
    }

    public String validarUsuario(String user, String pwd) {
        String r = "Usuario o clave incorrectos.";
        if (this.user.equals(user) && this.pwd.equals(pwd)) {
            r = "Ok";
        }

        return r;
    }

    public String registrarMovStock(String prod, String tipo, String ctd) {
        String r = "Operación registrada exitosamente.";

        try {
            int cant = Integer.parseInt(ctd);
            Producto p = buscarProducto(prod);

            if (tipo.equals("E")) {
                if (p.getStock() >= cant) {
                    p.setStock((p.getStock() - cant));
                    if (p.getStock() <= p.getPtoReorden()) 
                        r = "Producto a reponer.";
                }else
                    r = "Stock insuficiente.";
            } else 
                p.setStock((p.getStock() + cant));

            r+=("<br>" + p.getNombre()+". Stock actual: " + p.getStock());
        } catch (NumberFormatException e) {
            r = "Cantidad incorrecta.";
        }
        return r;
    }

    private Producto buscarProducto(String nombre) {
        for (Iterator it = productos.iterator(); it.hasNext();) {
            Producto x = (Producto) it.next();
            if (x.getNombre().equals(nombre)) {
                return x;
            }
        }
        return null;
    }
}
