
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="java.util.Date" %>

<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%@ taglib uri="http://jakarta.apache.org/taglibs/request-1.0" prefix="req" %>
<%@taglib uri="http://jakarta.apache.org/taglibs/datetime-1.0" prefix="dt" %>
<html>
    <head>
        <title>PREPAGA - Autorizar práctica Web</title>
    </head>
    <style>
        div{
            position: absolute;
            top: 25%;
            left: 40%;
            text-align:center;
        }
    </style>

    <body style="background-image:url('..//fondo.png');">

        <div style="width:340px">
            <p style="font-family:Arial;color:blue;font-size:14px; font-weight:bold">Respuesta del Autorizador</p>
            <hr style="border-style: dotted; border-color: #D8D8D8; border-width: 1px;"></hr>

            <jsp:useBean  id="solicitud" scope="request" class="beans.SolicitudBean">
                <jsp:setProperty name="solicitud" property="*"/>
            </jsp:useBean>

            <table>
                <tbody style="color:white;">
                    <tr>
                        <td>
                            <!-- Fechas utilizando la librería datetime bajada de Apache.org -->
                            <dt:format pattern="dd/MM/yyyy hh:mm:ss">
                                <dt:currentTime/>
                            </dt:format>
                        </td>

                        <!-- La misma salida utilizando JSTL -->
                        <!--<c:set var="day" scope="page" value="<%= new Date()%>"/> -->
                        <!--<fmt:formatDate value="${day}" pattern="dd/MM/yyyy"/> -->
                        <!--Con el agregado al comienzo de la página:-->
                        <!--<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>-->
                        
                    </tr>
                    <tr>
                        <td>Práctica:</td>
                        <td><jsp:getProperty name="solicitud" property="practica"/></td>
                    </tr>
                    <tr>
                        <td>Cantidad:</td>
                        <td><jsp:getProperty name="solicitud" property="cantidad"/></td>
                    </tr>
                    <tr>
                        <td>Estado:</td>
                        <td><jsp:getProperty name="solicitud" property="estadoSolicitud"/></td>
                    </tr>
                    <tr>
                        <td>Motivo:</td>
                        <td><textarea readonly cols="30"><jsp:getProperty name="solicitud" property="motivo"/></textarea></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>
