package beans;

import modelo.GestorProde;


public class ProdeBean {
    private GestorProde feacture;
    private String local;
    private String visitante;
    private String resultado;

    public ProdeBean() {
       feacture = new GestorProde();
    }

    /**
     * @return the feacture
     */
    public GestorProde getFeacture() {
        return feacture;
    }

    /**
     * @param feacture the feacture to set
     */
    public void setFeacture(GestorProde feacture) {
        this.feacture = feacture;
    }

    public String getLocal() {
        return local;
    }

    public void setLocal(String local) {
        this.local = local;
    }

    public String getVisitante() {
        return visitante;
    }

    public void setVisitante(String visitante) {
        this.visitante = visitante;
    }

    public String getResultado() {
        return resultado;
    }

    public void setResultado(String resultado) {
        this.resultado = resultado;
    }

    public String getResultadoApuesta(){     
        return feacture.cargarResultado(local, visitante, resultado);
    }

    public String getPorcentajeAciertos(){
        return "% de Aciertos hasta el momento: " + feacture.calcularPorcentajeAciertos()*100;
    }
}
