package modelo;

import java.util.LinkedList;
import java.util.List;

public class GestorProde {
    private List<Partido> partidos;

    public GestorProde() {
        partidos = new LinkedList<Partido>();
        partidos.add(new Partido("Defensores", "Flor de Ceibo"));
        partidos.add(new Partido("Central", "Juventud Unida"));
        partidos.add(new Partido("Juventud Unida", "Flor de Ceibo"));
        partidos.add(new Partido("Defensores", "Central"));
        partidos.add(new Partido("Flor de Ceibo", "Central"));
        partidos.add(new Partido("Juventud Unida", "Defensores"));
    }

    public String cargarResultado(String eLocal, String eVisitante, String resultado){

        for (Partido p : partidos) {
            if(p.getLocal().equalsIgnoreCase(eLocal) && p.getVisitante().equalsIgnoreCase(eVisitante)){
                p.setResultApostado(resultado);
                return "Apuesta registrada con éxito";
            }
        }
        return "Revise el feacture, seleccione correctamente los equipos.";
    }

    public float calcularPorcentajeAciertos(){
        int c=0;
        for (Partido p : partidos) {
            if(p.getResultApostado()!=null && p.getResultApostado().equals(p.getResultSimulado()))
                c++;
        }
        return (((float)c)/6);
    }

    public List<Partido> getPartidos() {
        return partidos;
    }

 

     
}
