/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

public class Partido {
    private String local;
    private String visitante;
    private String resultApostado;
    private String resultSimulado;

    public Partido(String eLocal, String eVisitante) {
        this.local = eLocal;
        this.visitante = eVisitante;
        resultApostado = null;
        resultSimulado = iniciarResultadoPartido();
    }

    public String getLocal() {
        return local;
    }

    public void setLocal(String local) {
        this.local = local;
    }

    public String getVisitante() {
        return visitante;
    }

    public void setVisitante(String visitante) {
        this.visitante = visitante;
    }

    public void setResultApostado(String resultApostado) {
        this.resultApostado = resultApostado;
    }

    public String getResultSimulado() {
        return resultSimulado;
    }

    public void setResultSimulado(String resultSimulado) {
        this.resultSimulado = resultSimulado;
    }

    public String getResultApostado() {
        return resultApostado;
    }

    private String iniciarResultadoPartido() {
        int valor = ((int) (Math.random() * 10));
        String r = null;
        if (valor <= 3) {
            r = "L";
        } else if (valor <= 6) {
            r = "E";
        } else {
            r = "V";
        }
        return r;
    }

    @Override
    public String toString() {
        return local + " - " + visitante + " Apuesta: " + resultApostado + " Resultado: " + resultSimulado;
    }
}
