/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package tags;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**
 *
 * @author fenix
 */
public class ConverterTagHandler extends SimpleTagSupport {

    private float cant;
    private float coefConv;

    /**
     * Called by the container to invoke this tag. 
     * The implementation of this method is provided by the tag library developer,
     * and handles all tag processing, body iteration, etc.
     */
    @Override
    public void doTag() throws JspException {
        JspWriter out = getJspContext().getOut();
        try {
            out.print(cant * coefConv);
        } catch (java.io.IOException ex) {
            throw new JspException("Error in ConverterTagHandler tag", ex);
        }
    }

    public void setCant(float cant) {
        this.cant = cant;
    }

    public void setCoefConv(float coefConv) {
        this.coefConv = coefConv;
    }
}
