/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controlador;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import modelo.BaseDatos;

/**
 *
 * @author albertE
 */
public class Controller extends HttpServlet {

    private BaseDatos bd;

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String operacion = request.getParameter("operacion");
        RequestDispatcher rq = null;
        //Si la acción es login...
        if (operacion.equals("login")) {
            String usuario = request.getParameter("usuario");
            String clave = request.getParameter("clave");

            if (bd.validarUsuario(usuario, clave)) {
                request.setAttribute("libros", bd.getLibros());
                rq = request.getRequestDispatcher("vista/listado.jsp");//encapsulamos el objeto que procesará la salida.
            } else {
                request.setAttribute("msgError", "Usuario o contraseña incorrectos");
                rq = request.getRequestDispatcher("vista/login.jsp");
            }
        } else {
            String libroSel = request.getParameter("cboLibros");
            request.setAttribute("libros", bd.getLibros());
            request.setAttribute("libro", bd.consultarLibro(libroSel));
            rq = request.getRequestDispatcher("vista/listado.jsp");
        }
        //delegamos la salida a otro recurso (en nuestro caso a otra JSP)
        rq.forward(request, response);
    }

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    @Override
    public String getServletInfo() {
        return "Servlet de Validación de Usuarios";
    }// </editor-fold>

    @Override
    //sobreescribimos el método 'init()' para que cuando se cargue e inicialice
    //nuestro servlet se creen los usuarios de nuestra base de usuarios.
    public void init() throws ServletException {
        super.init();
        bd = new BaseDatos();
    }
}
