/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ar.com.tag;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**
 *
 * @author Tymos
 */
public class FraseTag extends SimpleTagSupport {

    /**
     * Called by the container to invoke this tag. 
     * The implementation of this method is provided by the tag library developer,
     * and handles all tag processing, body iteration, etc.
     */
    private String frase, clave, ctasClave, posClave, ctasPal, posLarga;
    private String respuesta = "";
    
    //  Un método seter por cada atributo
    public void setFrase(String frase){this.frase = frase;}
    public void setClave(String clave){this.clave = clave;}
    public void setCtasClave(String ctasClave){this.ctasClave= ctasClave;}
    public void setPosClave(String posClave){this.posClave = posClave;}
    public void setCtasPal(String ctasPal){this.ctasPal = ctasPal;}
    public void setPosLarga(String posLarga){this.posLarga = posLarga;}

    @Override
    public void doTag() throws JspException {
        JspWriter out = getJspContext().getOut();
        //  Instanciamos objeto hileras
        Hileras hilera = new Hileras(frase);
        //  Cuantas veces ocurre una clave
        if(clave!=null &&ctasClave!=null)
            respuesta+=hilera.cuantasVeces(clave);
        if(clave!=null &&posClave!=null)
            respuesta+=hilera.dondeOcurre(clave);
        if(ctasPal!=null)
            respuesta+=hilera.cuantasPalabras();
        if(posLarga!=null)
            respuesta+=hilera.palabraMasLarga();

        try {
            // TODO: insert code to write html before writing the body content.
            // e.g.:
            //
            // out.println("<strong>" + attribute_1 + "</strong>");
            // out.println("    <blockquote>");
            out.println(respuesta);
        } catch (java.io.IOException ex) {
            throw new JspException("Error in FraseTag tag", ex);
        }
    }   //  doTag()
}   //  FraseTag
