/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package beans;

/**
 *
 * @author Martin Polliotto
 */
public class SolicitudBean {
    //atributos
    private int cantidad;
    private String motivo;
    private static final String motivosRechazo[]={"Cantidad excedida", "Fuera de Cobertura", "Falta análisis"};

    public SolicitudBean(){
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public String getMotivo() {
        return motivo;
    }

    public void setMotivo(String motivo) {
        this.motivo = motivo;
    }

     /* propiedad adicional (de solo lectura) que permite simular el trabajo del auditor
     *  al autorizar o rechazar la solicitud. Determina el estado
     * (Autorizada/Rechazada) y el motivo correspondiente en función de la cantidad solicitada...
     */

      public String getEstadoSolicitud(){
        String estado = "";
        int random = (int) (Math.random()*10); // simulamos un valor aleatorio de decisión
        int valor = random*cantidad;// el valor anterior por la cantidad solicitada
                                           //determina la aprobación/rechazo de la practica...
        if(valor%2==0)//Si es par autorizamos, impar rechazamos
        {
            estado="Autorizada";
            motivo="Autorizada por Auditoría médica.";
        }
        else
        {
            estado="Rechazada";
            motivo=motivosRechazo[(int)(Math.random()*3)];
        }
        return estado;
    }

}
