/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.Iterator;

/**
 *
 * @author fenix
 */
public class GestorSolicitud {

    private List solicitudes;
    private List usuarios;

    public GestorSolicitud() {
        solicitudes = new LinkedList();
        usuarios = new ArrayList();
    }

    public void addSolicitud(Solicitud s) {
        int ran = ((int) (Math.random() * 100));
        if (ran % 2 == 0) {
            s.setEstado("Solucionado");

        } else {
            s.setEstado("Pendiente");
       }
        solicitudes.add(s);
    }

    public void addUser(Usuario user) {
        usuarios.add(user);
    }

    public void removeUser(String mail) {
        for (int j = 0; j < usuarios.size(); j++) {
            Usuario user = (Usuario) usuarios.get(j);
            if (user.getEmail().equals(mail)) {
                usuarios.remove(j);
                break;
            }
        }
    }

    public void removeSol(String mail) {
        for (int j = 0; j < solicitudes.size(); j++) {
            Solicitud x = (Solicitud) solicitudes.get(j);
            if (x.getEmail().equals(mail)) {
                solicitudes.remove(j);
            }
        }
    }

    public List lstHistorialSol(String mail) {
        List lst = new LinkedList();
        Iterator i = solicitudes.iterator();

        while (i.hasNext()) {
            Solicitud s = (Solicitud) i.next();

            if (s.getEmail().equals(mail)) {
                lst.add(s);

            }
        }
        return lst;
    }

    public Usuario buscarUsuario(String email) {
        Iterator i = usuarios.iterator();

        while (i.hasNext()) {
            Usuario user = (Usuario) i.next();
            if (user != null && user.getEmail() != null && user.getEmail().equalsIgnoreCase(email)) {
                return user;

            }
        }
        return null;
    }
}
