/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.utn.frc;

/**
 *
 * @author Fernando
 */
public class AnalizadorDeTextoBean {
private String texto;
public AnalizadorDeTextoBean()
{
}

    /**
     * @return the texto
     */
    public String getTexto() {
        return texto;
    }

    /**
     * @param texto the texto to set
     */
    public void setTexto(String texto) {
        this.texto = texto;
    }

    /**
     * Retorna la cantidad de caracteres del texto.
     * @return
     */
    public int getCantidadDeCaracteres(){
        return texto.length();
    }
    /**
     * Retorna la cantidad de numeros del texto.
     * @return
     */
    public int getCantidadDeNumeros(){
        int cant = 0;
        for(int i = 0; i<texto.length();i++)
        {
            if(Character.isDigit(texto.charAt(i)))
                cant++;
        }
        return cant;
    }
    /**
     * Retorna la cantidad de palabras del texto.
     * @return
     */
    public int getCantidadDePalabras()
    {
       String textoTemp = texto+".";
       int cant = 0,contLetras = 0;
       for(int i = 0; i<textoTemp.length();i++)
        {
            if(Character.isLetterOrDigit(textoTemp.charAt(i)))
                contLetras++;
            else{
                if(contLetras >0)
                {
                    cant++;
                    contLetras = 0;
                }
            }
        }
       return cant;
    }


    /**
     * Retorna un listado de palindromos del texto, incluyendo la cantidad.
     * @return
     */
    public String getPalindromos()
    {
        String textoTemp = texto+".";
        StringBuilder palindromos = new StringBuilder();
        StringBuilder palabra = new StringBuilder();
        int contPalindromos = 0;
        for(int i = 0; i<textoTemp.length();i++)
        {
            if(Character.isLetterOrDigit(textoTemp.charAt(i)))
                palabra.append(textoTemp.charAt(i));
            else if(palabra.length() >0)
                {
                    if(palabra.toString().equalsIgnoreCase(palabra.reverse().toString()))
                    {
                        contPalindromos ++;
                        palindromos.append(palabra.toString()+"\n");
                    }
                    palabra = new StringBuilder();
                }
        }
        if(contPalindromos >0)
        return "Hay "+contPalindromos+ " palindromos en el texto y son :\n"+
                palindromos.toString();
        else
            return "No se encontraron palindromos en el texto.";
    }
}
