/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.io.Serializable;

/**
 *
 * @author German
 */
public class Cliente 
{
     private int codigo;
     private String nombre;
     private String telefono;

     public Cliente()
     {
     }

     

     public Cliente(int codigo, String nombre, String telefono)
     {
          this.codigo = codigo;
          this.nombre = nombre;
          this.telefono = telefono;
     }

     public int getCodigo()
     {
          return codigo;
     }

     public void setCodigo(int codigo)
     {
          this.codigo = codigo;
     }

     public String getNombre()
     {
          return nombre;
     }

     public void setNombre(String nombre)
     {
          this.nombre = nombre;
     }

     public String getTelefono()
     {
          return telefono;
     }

     public void setTelefono(String telefono)
     {
          this.telefono = telefono;
     }

     @Override
     public boolean equals(Object obj)
     {
          if (obj == null)
               return false;
          if (getClass() != obj.getClass())
               return false;
          final Cliente other = (Cliente) obj;
          if (this.codigo != other.codigo)
               return false;
          if ((this.nombre == null) ? (other.nombre != null) : !this.nombre.equals(other.nombre))
               return false;
          if ((this.telefono == null) ? (other.telefono != null) : !this.telefono.equals(other.telefono))
               return false;
          return true;
     }

     @Override
     public int hashCode()
     {
          int hash = 7;
          hash = 41 * hash + this.codigo;
          hash = 41 * hash + (this.nombre != null ? this.nombre.hashCode() : 0);
          hash = 41 * hash + (this.telefono != null ? this.telefono.hashCode() : 0);
          return hash;
     }

     
    

}
