/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.io.Serializable;

/**
 *
 * @author German
 */
public class RegistroCatastro implements Serializable
{
     private String codigo;
     private Cliente cliente;
     private CategoriaPropiedad categoria;
     private double superficiePropiedad;

     public RegistroCatastro(String codigo, Cliente cliente, CategoriaPropiedad categoria, double superficiePropiedad)
     {
          this.codigo = codigo;
          this.cliente = cliente;
          this.categoria = categoria;
          this.superficiePropiedad = superficiePropiedad;
     }

     public RegistroCatastro()
     {
     }

     public CategoriaPropiedad getCategoria()
     {
          return categoria;
     }

     public void setCategoria(CategoriaPropiedad categoria)
     {
          this.categoria = categoria;
     }

     public Cliente getCliente()
     {
          return cliente;
     }

     public void setCliente(Cliente cliente)
     {
          this.cliente = cliente;
     }

     public String getCodigo()
     {
          return codigo;
     }

     public void setCodigo(String codigo)
     {
          this.codigo = codigo;
     }

     public double getSuperficiePropiedad()
     {
          return superficiePropiedad;
     }

     public void setSuperficiePropiedad(double superficiePropiedad)
     {
          this.superficiePropiedad = superficiePropiedad;
     }

     public double getValorPropiedad()
     {
          return this.superficiePropiedad * this.categoria.getValorMetroCuadrado();
     }

     @Override
     public boolean equals(Object obj)
     {
          if (obj == null)
               return false;
          if (getClass() != obj.getClass())
               return false;
          final RegistroCatastro other = (RegistroCatastro) obj;
          if ((this.codigo == null) ? (other.codigo != null) : !this.codigo.equals(other.codigo))
               return false;
          if (this.cliente != other.cliente && (this.cliente == null || !this.cliente.equals(other.cliente)))
               return false;
          if (this.categoria != other.categoria && (this.categoria == null || !this.categoria.equals(other.categoria)))
               return false;
          return true;
     }

    



}
