<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page import="java.util.List"%>
<%@page import="utils.*" %>
<%@page import="modelo.Cliente" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">       
        <title>Final PPR 02-03-2011 - Catastro</title>
        <script type="text/javascript">
             function volver()
             {
                  document.forms[0].action = 'index.jsp';
                  document.forms[0].submit();
             }
        </script>
    </head>
    <body>
         <form name="frmRegistro" method="POST" action="CatastroController?Accion=guardar">
              <jsp:useBean id="propietarios" scope="session" class="utils.ClientesUtils" />
              <jsp:useBean id="categorias" scope="session" class="utils.CategoriaPropiedadUtils" />
              <table border="1">
                   <tbody>
                        <tr>
                             <td>C&oacute;digo:</td>
                             <td><input type="text" name="txtCodigo" value="" /></td>
                        </tr>
                        <tr>
                             <td>Cliente:</td>
                             <td>
                                  <!-- Completar con scriptlets usando cliente util -->
                                  <select name="cmbClientes">
                                       <option value="-1">...Seleccione</option>
                                       <c:forEach var="cliente" items="${propietarios.listadoClientes}">
                                            <option value="<c:out value="${cliente.codigo}" />">
                                                 <c:out value="${cliente.nombre}" />
                                            </option>
                                       </c:forEach>
                                  </select>
                                   
                             </td>
                        </tr>
                        <tr>
                             <td>Categor&iacute;a Propiedad:</td>
                             <td>
                                  <!-- Completar con scriptlets usando CategoriaPropiedadUtils -->
                                  <select name="cmbCategoria">
                                       <option value="">...Seleccione</option>
                                       <c:forEach var="categoria" items="${categorias.listadoCategorias}">
                                            <option value="<c:out value="${categoria.codigo}"/>">
                                                 <c:out value="${categoria.descripcion}"/>
                                            </option>
                                       </c:forEach>
                                  </select>
                             </td>
                        </tr>
                        <tr>
                             <td>Metros Construidos</td>
                             <td><input type="text" name="txtMetros" value="" /></td>
                        </tr>
                        <tr>
                             <td></td>
                             <td>
                                  <input type="submit" value="Aceptar" name="cmdAceptar" />
                                  <input type="button" value="Cancelar" name="cmdCancelar" onclick="volver();" />
                             </td>
                        </tr>
                   </tbody>
              </table>

         </form>
    </body>
</html>
