/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package control;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import modelo.GestorProde;

/**
 *
 * @author albertE
 */
public class ProdeServlet extends HttpServlet {

    private GestorProde gestor;

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String accion = request.getParameter("accion");
        String forward = null;
        RequestDispatcher rd = null;

        if (accion.equals("cargarApuesta")) {
            String local = request.getParameter("local");
            String visitante = request.getParameter("visitante");
            String resultado = request.getParameter("resultado");
            request.setAttribute("rtdoApuesta", gestor.cargarResultado(local, visitante, resultado));
            forward = "registrarApuesta.jsp";

        } else {
            //acción: "VerAciertos"...
            request.setAttribute("msjAciertos", "% de Aciertos hasta el momento: " + gestor.calcularPorcentajeAciertos() * 100);
            forward = "aciertos.jsp";
        }

        rd = request.getRequestDispatcher(forward);
        rd.forward(request, response);
    }

    @Override
    public void init() throws ServletException {
        super.init();
        gestor = new GestorProde();
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
