/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

public class ConverterBean {

    private float matConvert[][];
    private String monedas[];
    private int monedaOri,  monedaDes;
    private int cantidad;

    public ConverterBean() {

        monedas = new String[3];
        monedas[0] = "Peso/s";
        monedas[1] = "Dolar/es";
        monedas[2] = "Euro/s";

        /**
         * Matriz de coeficientes de conversión.
         * Los valores son utilizados por el javaBean para determinar que
         * factor a utilzar en los cálculos.
         */
        matConvert = new float[3][3];

        //Peso a...
        matConvert[0][0] = 1;
        matConvert[0][1] = 0.251f;
        matConvert[0][2] = 0.209f;
        //Dolar a...
        matConvert[1][0] = 3.98f;
        matConvert[1][1] = 1;
        matConvert[1][2] = 0.83f;
        //Euro a...
        matConvert[2][0] = 4.78f;
        matConvert[2][1] = 1.2f;
        matConvert[2][2] = 1;
    }

    public int getMonedaDes() {
        return monedaDes;
    }

    public void setMonedaDes(int monedaDes) {
        this.monedaDes = monedaDes;
    }

    public int getMonedaOri() {
        return monedaOri;
    }

    public void setMonedaOri(int monedaOri) {
        this.monedaOri = monedaOri;
    }

    public float getCoefConversion(){
        return matConvert[monedaOri][monedaDes];
    }

    public String getMonedaOrigen(){
        return monedas[monedaOri];
    }

    public String getMonedaDestino(){
        return monedas[monedaDes];
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }
   

}

