/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ar.com.tag;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.SimpleTagSupport;
import java.util.TimeZone;
import java.util.SimpleTimeZone;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.Date;
/**
 *
 * @author usuario
 */
public class GregCalTag extends SimpleTagSupport {

    /**
     * Called by the container to invoke this tag. 
     * The implementation of this method is provided by the tag library developer,
     * and handles all tag processing, body iteration, etc.
     */
    @Override
    public void doTag() throws JspException {
        JspWriter out = getJspContext().getOut();
        String time = "Current Time for GMT-08:00<br>";
               time+= "(Pacific Standard Time)<br>";
        // get the supported ids for GMT-08:00 (Pacific Standard Time)
        String[] ids = TimeZone.getAvailableIDs(-8 * 60 * 60 * 1000);
        // if no ids were returned, something is wrong. get out.
        if (ids.length == 0)
            System.exit(0);

        // begin output

        SimpleTimeZone pdt = new SimpleTimeZone(-8 * 60 * 60 * 1000, ids[0]);

        // set up rules for daylight savings time
        pdt.setStartRule(Calendar.APRIL, 1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);
        pdt.setEndRule(Calendar.OCTOBER, -1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);

        // create a GregorianCalendar with the Pacific Daylight time zone
        // and the current date and time
        Calendar calendar = new GregorianCalendar(pdt);
        Date trialTime = new Date();
        calendar.setTime(trialTime);
        // print out a bunch of interesting things
        time += "Fecha   : " + calendar.get(Calendar.DATE)+"<br>";
        time += "Hora    : " + calendar.get(Calendar.HOUR)+"<br>";
        time += "Minuto  : " + calendar.get(Calendar.MINUTE)+"<br>";
        time += "Segundo : " + calendar.get(Calendar.SECOND)+"<br>";

       try {
            out.println(time);
        } catch (java.io.IOException ex) {
            throw new JspException("Error in GregCalTag tag", ex);}
    }   //  doTag()
}       //  GregCalTag
