<%-- 
    Document   : resultadoReserva
    Created on : 23/07/2009, 22:29:14
    Author     : fenix
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Restaurante del Sur. Cocina Internacional</title>
        <style>
            p{font-size:11px;font-family:arial;font-weight:bold;}
            h5{font-size:11pt;font-family:verdana;color:#8181F7;}
            td{font-size:11px;font-family:arial;font-weight:normal;}
        </style>

        <!-- En página jsp, para incluir otra página podemos utilizar la directiva
        jsp:include. En este caso la usamos para incluir el encabezado. -->

        <jsp:include page="headRestaurant.html"/>
    </head>
    <body  bgcolor="#F2F2F2">
        <jsp:useBean class="beans.Reserva" scope="request" id="reserva">
            <jsp:setProperty name="reserva" property="*"/>
        </jsp:useBean>
        <h5>Datos de Reserva</h5>

        <table border="0">
            <tbody>
                <tr>
                    <td>Email(*)</td>
                    <td><jsp:getProperty name="reserva" property="email"/></td>
                </tr>
                <tr>
                    <td>Local(*)</td>
                    <td>
                        <jsp:getProperty name="reserva" property="local"/>
                    </td>
                </tr>
                <tr>
                    <td>Nombre y Apellido(*)</td>
                    <td><jsp:getProperty name="reserva" property="nombreApe"/></td>
                </tr>
                <tr>
                    <td>Teléfono de confirmación(*)</td>
                    <td><jsp:getProperty name="reserva" property="telefono"/></td>
                </tr>
                <tr>
                    <td>Domicilio(*)</td>
                    <td><jsp:getProperty name="reserva" property="domicilio"/></td>
                </tr>
                <tr>
                    <td>Fecha de la Reserva</td>
                    <td>
                        <b><jsp:getProperty name="reserva" property="fecha"/></b>
                    </td>
                </tr>
                <tr>
                    <td>Hora(*)</td>
                    <td><jsp:getProperty name="reserva" property="hora"/></td>
                </tr>
                <tr>
                    <td>Cantidad de Personas(*)</td>
                    <td><jsp:getProperty name="reserva" property="cantPersonas"/></td>
                </tr>
                <tr>
                    <td>Sector</td>
                    <td><jsp:getProperty name="reserva" property="sector"/></td>
                </tr>
                <tr>
                    <td>Comentario</td>
                    <td><jsp:getProperty name="reserva" property="comentario"/></td>
                </tr>
            </tbody>
        </table>
        
        <h6 style="font-size:15px;color:fuchsia">
            
            <jsp:getProperty name="reserva" property="disponibilidad"/>
        </h6>
    </body>
</html>
