package server;

import client.Solicitud;

public class Auditor {
    private String nombre;
    public Auditor(){
        nombre = "JJ Auditor";
    }

    //sincronizamos para evitar errores en los cálculos del Auditor...
    public synchronized void autorizarSolicitud(Solicitud s){
        int random = (int) (Math.random()*10); // simulamos un valor aleatorio de decisión
        int valor = random*s.getCantidad();// el valor anterior por la cantidad solicitada
                                           //determina la aprobación/rechazo de la practica...
        if(valor%2==0)//Si es par autorizamos, impar rechazamos
        {
            s.setEstado("Autorizada");
            s.setMotivo("Autorizada por Auditoría médica. Auditor: " +nombre);
        }
        else
        {
            s.setEstado("Rechazada");
            s.setMotivo("Rechazada. Excedido en consumo. Auditor: " + nombre);
        }
    }
}
