package client;

import java.io.Serializable;

public class Solicitud implements Serializable {

    private String practica;
    private int cantidad;
    private String estado;
    private String motivo; //este atributo contiene el motivo de aceptación/rechazo
                           //de la solicitud luego de ser auditada por el auditor médico...

    public Solicitud (String p, int ctd){
        cantidad = ctd;
        practica = p;
        estado = "Pendiente de Autorización";
        motivo = "";
    }

    public String getPractica() {
        return practica;
    }

    public void setPractica(String practica) {
        this.practica = practica;
    }
    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public String getMotivo() {
        return motivo;
    }

    public void setMotivo(String motivo) {
        this.motivo = motivo;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String toString() {
        return ("Práctica: " + practica + "\nCantidad: " + cantidad + "\nEstado:" + getEstado() + "\nMotivo:" + getMotivo());
    }
}
